import { ElementRef, EventEmitter } from '@angular/core';
import { MonacoTreeElement } from '../ngx-monaco-tree.type';
import { ContextMenuElementSeparator, ContextMenuElementText } from "../monaco-tree-context-menu/monaco-tree-context-menu.type";
import { ContextMenuAction } from "./monaco-tree-file.type";
import * as i0 from "@angular/core";
export declare class MonacoTreeFileComponent {
    private eRef;
    name: string;
    content: MonacoTreeElement[] | undefined | null;
    depth: number;
    theme: 'vs-dark' | 'vs-light';
    hide: boolean;
    clickFile: EventEmitter<string>;
    contextMenuClick: EventEmitter<ContextMenuAction>;
    open: boolean;
    position: [number, number] | undefined;
    constructor(eRef: ElementRef);
    contextMenu: Array<ContextMenuElementSeparator | ContextMenuElementText>;
    get icon(): string;
    toggle(): void;
    get style(): string;
    get folder(): boolean;
    handleClickFile(file: string): void;
    handleRightClickFile(event: MouseEvent): void;
    handleRightClick(event: ContextMenuAction): void;
    clickOut(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonacoTreeFileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonacoTreeFileComponent, "monaco-tree-file", never, { "name": "name"; "content": "content"; "depth": "depth"; "theme": "theme"; "hide": "hide"; }, { "clickFile": "clickFile"; "contextMenuClick": "contextMenuClick"; }, never, never, false>;
}
